package com.chaozhanggui.dao.system.dao;

import com.chaozhanggui.dao.system.entity.TbPlussUserAreaRewardFlow;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

@Component
@Mapper
public interface TbPlussUserAreaRewardFlowMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussUserAreaRewardFlow record);

    int insertSelective(TbPlussUserAreaRewardFlow record);

    TbPlussUserAreaRewardFlow selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TbPlussUserAreaRewardFlow record);

    int updateByPrimaryKey(TbPlussUserAreaRewardFlow record);
}